HaruDoc::getCurrentPage
HaruDoc::getFont
HaruDoc
PHP Manual

# HaruDoc::getEncoder

Get HaruEncoder instance for the specified encoding

### Description

object HaruDoc::getEncoder ( string `$encoding` )

Get the HaruEncoder instance for the specified encoding.

### Parameters

`encoding`

  The encoding name. See Builtin Encodings for the list of allowed values.

### Return Values

Returns a HaruEncoder instance for the specified encoding.

### Errors/Exceptions

Throws a HaruException on error.

### See Also

- HaruDoc::setCurrentEncoder
- HaruDoc::getCurrentEncoder